﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow : Window
   {
      public MainWindow()
      {
         InitializeComponent();
         ObservableCollection<SlideContent> sd = new ObservableCollection<SlideContent>();
         sd.Add(new SlideContent() { Content = "c1" });
         sd.Add(new SlideContent() { Content = "c2" });
         sd.Add(new SlideContent() { Content = "c3" });

         ObservableCollection<Slide> s = new ObservableCollection<Slide>();
         s.Add(new Slide() { Comments = "aaacom1", Notes = "note1", Title = "titel1", SlidesData = sd });
         s.Add(new Slide() { Comments = "bbbcom1", Notes = "note1", Title = "titel1", SlidesData = sd });
         s.Add(new Slide() { Comments = "ccccom1", Notes = "note1", Title = "titel1", SlidesData = sd });
         s.Add(new Slide() { Comments = "dddcom1", Notes = "note1", Title = "titel1", SlidesData = sd });

         this.DataContext = s;
      }

      private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
      {
         //foreach (Infragistics.Controls.Grids.Column col in grid.Columns)
         //{
         //   //grid.FilteringSettings.
         //   //col.FilterColumnSettings...FilterCellValue = null;
         //}
      }
   }

   public class SlideContent
   {
      public string Content { get; set; }
   }

   public class Slide
   {
      public string Title { get; set; }
      public string Notes { get; set; }
      public string Comments { get; set; }
      public ObservableCollection<SlideContent> SlidesData { get; set; }
   }
}
